Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.pm
Class PMAdhocActivitiesService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.pm.AbstractPMClientService
          com.tibco.bpm.web.client.services.client.pm.PMAdhocActivitiesService

    public class PMAdhocActivitiesService

extends AbstractPMClientService

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.pm.AbstractPMClientService
`BASE_URL, XMLFRAGMENT`

Constructor Summary
`PMAdhocActivitiesService()`

Method Summary
`void` | `cancelAdhocActivity(java.lang.String processId, java.lang.String activityId, com.google.gwt.user.client.rpc.AsyncCallback<GeneralStatusType> callback)`
`static PMAdhocActivitiesService` | `getInstance()`
`void` | `listAdhocActivitiesById(java.lang.String processId, com.google.gwt.user.client.rpc.AsyncCallback<ListAdhocActivitiesResponse> callback)`
`void` | `listAdhocActivitiesByRef(java.lang.String globalDataRef, com.google.gwt.user.client.rpc.AsyncCallback<ListAdhocActivitiesResponse> callback)`
`void` | `runAdhocActivity(java.lang.String processId, java.lang.String activityId, com.google.gwt.user.client.rpc.AsyncCallback<GeneralStatusType> callback)`

Methods inherited from class com.tibco.bpm.web.client.services.client.pm.AbstractPMClientService
`cleanseResponse, getHeaders, getServiceURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PMAdhocActivitiesService

    public PMAdhocActivitiesService()

Method Detail

### getInstance

    public static PMAdhocActivitiesService getInstance()

### listAdhocActivitiesById

    public void listAdhocActivitiesById(java.lang.String processId,
                                        com.google.gwt.user.client.rpc.AsyncCallback<ListAdhocActivitiesResponse> callback)

  Parameters:
    `payLoad` -
    `callback` -

### listAdhocActivitiesByRef

    public void listAdhocActivitiesByRef(java.lang.String globalDataRef,
                                         com.google.gwt.user.client.rpc.AsyncCallback<ListAdhocActivitiesResponse> callback)

  Parameters:
    `payLoad` -
    `callback` -

### runAdhocActivity

    public void runAdhocActivity(java.lang.String processId,
                                 java.lang.String activityId,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GeneralStatusType> callback)

### cancelAdhocActivity

    public void cancelAdhocActivity(java.lang.String processId,
                                    java.lang.String activityId,
                                    com.google.gwt.user.client.rpc.AsyncCallback<GeneralStatusType> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.